カラフルボックスでWordPressをインストールしたらPHPバージョンを変更しよう

役に立つ情報でしたら是非拡散(シェア)をお願いします

ついにメインサイトであるこのサイトもカラフルボックスへ移転し、すべてのサイトの移転が終了しました(ドメインの移管だけまだしてません)。

と思いきや、カラフルボックスのPHPバージョンってデフォルトで5.6なんですね。しばらくしてから気づきました(笑)。

多分多くのユーザーが移転する前に5.6を使っていることから、移転したときにトラブルが発生しないようにという配慮だと思いますが、体感速度云々というよりも、以前に7.xで動いていたならわざわざ5.6で稼働させる必要もない!ということでPHPバージョンの変更をしました。

手順自体は公式ヘルプ

個人・法人向けクラウド型レンタルサーバー「カラフルボックス」のサポートサイトです。初心者も安心のマニュアルやFAQも充実しています。

で詳しく(というか簡単にできます)解説されていますが、一応こちらでも紹介しておきますね。

カラフルボックスでのPHPバージョン変更方法

  1. カラフルボックスへログインする
  2. cPanelへログインする
  3. 下の方にある「MultiPHP マネージャー」をクリック
  4. カラフルボックスのphp変更画面

  5. 変更するドメインやサブドメインにチェックを入れ、右上のバージョンを目的のものにして更新する
  6. カラフルボックスPHPバージョン変更

これで変更完了です。ドメインキングのときは他の設定と同じになっていてちょっとドキドキしたのと、適用されるまでに時間がかかっていたのですが、カラフルボックスでは一瞬で完了!「これでいいの?」位簡単に終了しました。

まあもともと7.xで動作していたなら問題はないでしょうけど、もしも管理画面が表示されない、何かのコンテンツが正常に表示されないなんてことが発生したら元に戻せば正常に動くと思います。

トラブルが起こるとするとプラグインが原因の場合がほとんどだと思いますので、

【PHP Compatibility Checker】は今のままPHPのバージョンを変更した際に動作不良が起こる可能性があるプラグインやテーマをチェックしてくれるプラグインで、これを使うことで変更後の不具合予測をすることができます。

などを使ってあらかじめ調べてみるといいと思います(簡易チェックですのでこれでOKだから必ず動くという保証はありません)。

トップへ戻る